Public Member Functions | Public Attributes | Friends | List of all members
RagTimeSpreadsheetInternal::ComplexBlock::Zone Struct Reference

a small zone of a ComplexBlock More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
long | m_pos
| the zone position More...
int | m_data [3]
| three unknown int More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<< More...

## Detailed Description

a small zone of a ComplexBlock

## Constructor & Destructor Documentation

## ◆ Zone()

RagTimeSpreadsheetInternal::ComplexBlock::Zone::Zone | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_data

int RagTimeSpreadsheetInternal::ComplexBlock::Zone::m_data[3]

three unknown int

Referenced by RagTimeSpreadsheet::readBlockHeader().

## ◆ m_pos

long RagTimeSpreadsheetInternal::ComplexBlock::Zone::m_pos

the zone position

Referenced by RagTimeSpreadsheet::readBlockHeader().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx